

clear
set more off
set memory 100m
use "C:\GLES1103_Pre1.1_Vorwahl-Nachwahl-Match.dta"


*/ gewicht

gen owtrans=gewicht_ow*tran_gew
tab owtrans

* Zeitpunkt der Wahlentscheidung

tab n155 [aw=owtrans]

// Erst-/Zweitstimme q6
tab vn125, miss
gen PW_Stimme=0
replace PW_Stimme=1 if vn125==2
tab PW_Stimme, miss
sum PW_Stimme
 

// 5%-Hrde vn126
tab vn126, miss
gen PW_Huerde=0
replace PW_Huerde=1 if vn126==5
tab PW_Huerde, miss

*/ EU-Brger

tab n454A, miss
gen wiss3=0
replace wiss3=1 if n454A==3 & (n454B~=1 & n454B~=2 & n454B~=3 & n454C~=1 & n454C~=2 & n454C~=3)
tab wiss3

// Wissensindex
gen PWissen=PW_Stimme + PW_Huerde
tab PWissen, miss
gen PWissen2=PW_Stimme + PW_Huerde+wiss3
tab PWissen2, miss

// alle, die beide Wissensfragen richtig beantwortet haben, d.h. den Wert 2 auf PWissen haben
 

// Parteiidentifikation
tab vn135A
gen pid=0 if vn135A==42
replace pid=1 if vn135A>0 & vn135A<41
tab pid
gen pidstr=pid
replace pidstr=2 if vn136==4
replace pidstr=3 if vn136==3
replace pidstr=4 if vn136==2
replace pidstr=5 if vn136==1
replace pidstr=pidstr/5
tab pidstr

// Parteiidentifikation CDU/CSU

gen PID_Union=.
replace PID_Union=0 if vn135A==4 | vn135A==5 | vn135A==6 | vn135A==7 | vn135A==8 | vn135A==9  | vn135A==40 | vn135A==42     
// Was passiert mit denjenigen, die keine PID haben (evtl. spaeter Gewicht 0); im Moment sind die auf 0 gesetzt (Konsequenz?)
// Letztendlich sollten sie aber bei der Endberechnung mit einem Gewicht von Null eingehen
// Dh diejenigen die keine PID haben, sind mit missings zu codieren
// Was passiert mit anderen Parteien
replace PID_Union=0.2 if (vn135A==1 | vn135A==2 | vn135A==3)
// auch hier: was passiert mit missings?
replace PID_Union=0.4 if ((vn135A==1 |vn135A==2 |vn135A==3) &vn136==4)
replace PID_Union=0.6 if ((vn135A==1 |vn135A==2 |vn135A==3) &vn136==3)
replace PID_Union=0.8 if ((vn135A==1 |vn135A==2 |vn135A==3) &vn136==2)
replace PID_Union=1 if ((vn135A==1 |vn135A==2 |vn135A==3) &vn136==1)
tab PID_Union, miss

// Parteiidentifikation SPD

gen PID_SPD=.
replace PID_SPD=0 if vn135A==1 |vn135A==2 |vn135A==3 |vn135A==5 |vn135A==6 |vn135A==7 |vn135A==8 |vn135A==9  |vn135A==40 |vn135A==42     
replace PID_SPD=0.2 if (vn135A==4)
replace PID_SPD=0.4 if (vn135A==4 &vn136==4)
replace PID_SPD=0.6 if (vn135A==4 &vn136==3)
replace PID_SPD=0.8 if (vn135A==4 &vn136==2)
replace PID_SPD=1 if (vn135A==4 &vn136==1)
tab PID_SPD, miss

// Parteiidentifikation FDP

gen PID_FDP=.
replace PID_FDP=0 if vn135A==1 |vn135A==2 |vn135A==3 |vn135A==4 |vn135A==6 |vn135A==7 |vn135A==8 |vn135A==9  |vn135A==40 |vn135A==42     
replace PID_FDP=0.2 if (vn135A==5)
replace PID_FDP=0.4 if (vn135A==5 &vn136==4)
replace PID_FDP=0.6 if (vn135A==5 &vn136==3)
replace PID_FDP=0.8 if (vn135A==5 &vn136==2)
replace PID_FDP=1 if (vn135A==5 &vn136==1)
tab PID_FDP, miss

// Parteiidentifikation Bndnis 90/Die Grnen


gen PID_Gru=.
replace PID_Gru=0 if vn135A==1 |vn135A==2 |vn135A==3 |vn135A==5 |vn135A==4 |vn135A==7 |vn135A==8 |vn135A==9  |vn135A==40 |vn135A==42     
replace PID_Gru=0.2 if (vn135A==6)
replace PID_Gru=0.4 if (vn135A==6 &vn136==4)
replace PID_Gru=0.6 if (vn135A==6 &vn136==3)
replace PID_Gru=0.8 if (vn135A==6 &vn136==2)
replace PID_Gru=1 if (vn135A==6 &vn136==1)
tab PID_Gru, miss

// Parteiidentifikation Die Linke

gen PID_Lin=.
replace PID_Lin=0 if vn135A==1 |vn135A==2 |vn135A==3 |vn135A==5 |vn135A==6 |vn135A==4 |vn135A==8 |vn135A==9  |vn135A==40 |vn135A==42     
replace PID_Lin=0.2 if (vn135A==7)
replace PID_Lin=0.4 if (vn135A==7 &vn136==4)
replace PID_Lin=0.6 if (vn135A==7 &vn136==3)
replace PID_Lin=0.8 if (vn135A==7 &vn136==2)
replace PID_Lin=1 if (vn135A==7 &vn136==1)
tab PID_Lin, miss

gen PID_Union2=0
replace PID_Union2=PID_Union if PID_Union>-1 & PID_Union<2
gen PID_SPD2=0
replace PID_SPD2=PID_SPD if PID_SPD>-1 & PID_SPD<2
gen PID_FDP2=0
replace PID_FDP2=PID_FDP if PID_FDP>-1 & PID_FDP<2
gen PID_Gru2=0
replace PID_Gru2=PID_Gru if PID_Gru>-1 & PID_Gru<2
gen PID_Lin2=0
replace PID_Lin2=PID_Lin if PID_Lin>-1 & PID_Lin<2


// Kompetenzzuweisung

tab1 vn173A vn175A vn177A
gen cdukom1=0
replace cdukom1=1 if vn173A==1|vn173A==2|vn173A==3
gen spdkom1=0
replace spdkom1=1 if vn173A==4
gen fdpkom1=0
replace fdpkom1=1 if vn173A==5
gen grukom1=0
replace grukom1=1 if vn173A==6
gen linkom1=0
replace linkom1=1 if vn173A==7
gen cdukom2=0
replace cdukom2=1 if vn175A==1|vn175A==2|vn175A==3
gen spdkom2=0
replace spdkom2=1 if vn175A==4
gen fdpkom2=0
replace fdpkom2=1 if vn175A==5
gen grukom2=0
replace grukom2=1 if vn175A==6
gen linkom2=0
replace linkom2=1 if vn175A==7

gen cdukom3=0
replace cdukom3=1 if vn177A==1|vn177A==2|vn177A==3
gen spdkom3=0
replace spdkom3=1 if vn177A==4
gen fdpkom3=0
replace fdpkom3=1 if vn177A==5
gen grukom3=0
replace grukom3=1 if vn177A==6
gen linkom3=0
replace linkom3=1 if vn177A==7

gen cdukomg1=(cdukom1+cdukom2+cdukom3)/3
gen cdukomg2=(3*cdukom1+2*cdukom2+cdukom3)/6
gen spdkomg1=(spdkom1+spdkom2+spdkom3)/3
gen spdkomg2=(3*spdkom1+2*spdkom2+spdkom3)/6
gen fdpkomg1=(fdpkom1+fdpkom2+fdpkom3)/3
gen fdpkomg2=(3*fdpkom1+2*fdpkom2+fdpkom3)/6
gen grukomg1=(grukom1+grukom2+grukom3)/3
gen grukomg2=(3*grukom1+2*grukom2+grukom3)/6
gen linkomg1=(linkom1+linkom2+linkom3)/3
gen linkomg2=(3*linkom1+2*linkom2+linkom3)/6

tab1 cdukomg1 cdukomg2


// Links-Rechts-Position

//Links-Rechts-Ego
gen LR_Ego=vn190
replace LR_Ego=. if (vn190==97 |vn190==98 |vn190==99)
tab LR_Ego, miss
tab vn190, miss

// wahrscheinlich muss ich zwischen Bayern und dem Rest der Welt differenzieren

// Distanz CDU
gen LR_CDU=vn188A
replace LR_CDU=. if  (vn188A==95 |vn188A==98 |vn188A==99)
tab LR_CDU, miss
tab vn188A

mean LR_CDU if (PWissen==2|PWissen==3 ) & Erhebung==2 [pw=owtrans]
// 7.35

gen LR_CDU_D=1-(sqrt((LR_Ego-7)^2))/6
tab LR_CDU_D, miss


// Distanz CSU
gen LR_CSU=vn188B
replace LR_CSU=. if  (vn188B==95 |vn188B==98 |vn188B==99)
tab LR_CSU, miss
tab vn188B

mean LR_CSU if (PWissen==2|PWissen==3 ) & Erhebung==2 [pw=owtrans]

// 8.00

gen LR_CSU_D=1-(sqrt((LR_Ego-8)^2))/7
tab LR_CSU_D, miss


// Distanz SPD
gen LR_SPD=vn188C
replace LR_SPD=. if  (vn188C==95 |vn188C==98 |vn188C==99)
tab LR_SPD, miss
tab vn188C

sum LR_SPD if (PWissen==2|PWissen==3 ) & Erhebung==2 [aw=owtrans]

// 4.67

gen LR_SPD_D=1-(sqrt((LR_Ego-5)^2))/6
tab LR_SPD_D, miss

// Distanz FDP
gen LR_FDP=vn188D
replace LR_FDP=. if  (vn188D==95 | vn188D==98 | vn188D==99)
tab LR_FDP, miss
tab vn188D

// Achtung: objektive Position der FDP

sum LR_FDP if (PWissen==2|PWissen==3 ) & Erhebung==2 [aw=owtrans]
// 6.69

gen LR_FDP_D=1-(sqrt((LR_Ego-7)^2))/6
tab LR_FDP_D, miss

// Distanz Buendnis 90/Die Gruenen
gen LR_Gru=vn188E
replace LR_Gru=. if  (vn188E==95 |vn188E==98 |vn188E==99)
tab LR_Gru, miss
tab vn188E

// Achtung: objektive Position der Gru

sum LR_Gru if (PWissen==2|PWissen==3 ) & Erhebung==2 [aw=owtrans]

// 4.20

gen LR_Gru_D=1-(sqrt((LR_Ego-4)^2))/7
tab LR_Gru_D, miss

// Distanz Die Linke
gen LR_Lin=vn188F
replace LR_Lin=. if  (vn188F==95 |vn188F==98 |vn188F==99)
tab LR_Lin, miss
tab vn188F

// Achtung: objektive Position der Linken

sum LR_Lin if (PWissen==2|PWissen==3 ) & Erhebung==2 [aw=owtrans]

// 2.21

gen LR_Lin_D=1-(sqrt((LR_Ego-2)^2))/9
tab LR_Lin_D, miss

*// Links-Rechts-Gewicht

gen lrgew1=0
replace lrgew1=1 if vn188A>0 & vn188A<12
gen lrgew2=0
replace lrgew2=1 if vn188B>0 & vn188B<12
gen lrgew3=0
replace lrgew3=1 if vn188C>0 & vn188C<12
gen lrgew4=0
replace lrgew4=1 if vn188D>0 & vn188D<12
gen lrgew5=0
replace lrgew5=1 if vn188E>0 & vn188E<12
gen lrgew6=0
replace lrgew6=1 if vn188F>0 & vn188F<12
gen lrgewges=0
replace lrgewges=0.5+((lrgew1+lrgew2+lrgew3+lrgew4+lrgew5+lrgew6)/12) if LR_Ego>0 & LR_Ego<12
tab lrgewges



// Positionsissues

// Soziooekonomische Position-Ego
gen SozP_Ego=vn193
replace SozP_Ego=. if (vn193==98 |vn193==99)
tab SozP_Ego, miss
tab vn193, miss

// wahrscheinlich muss ich zwischen Bayern und dem Rest der Welt differenzieren

// Distanz Soziooekonomische Position CDU
gen SozP_CDU=vn192A
replace SozP_CDU=. if  (vn192A==98 |vn192A==99)
tab SozP_CDU, miss
tab vn192A

// Achtung: objektive Position der CDU: Problem der Bestimmung bei Issues

sum SozP_CDU if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]
// 4.74


gen SozP_CDU_D=1-(sqrt((SozP_Ego-5)^2))/6 if SozP_Ego>0 & SozP_Ego<12
tab SozP_CDU_D, miss


// Distanz Soziooekonomische Position CSU: Problem der Bestimmung bei Issues

gen SozP_CSU=vn192B
replace SozP_CSU=. if  (vn192B==98 |vn192B==99)
tab SozP_CSU, miss
tab vn192B

// Achtung: objektive Position der CSU

sum SozP_CSU if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 4.58


gen SozP_CSU_D=1-(sqrt((SozP_Ego-5)^2))/6 if SozP_Ego>0 & SozP_Ego<12
tab SozP_CSU_D, miss


// Distanz Soziooekonomische Position SPD: Problem der Bestimmung bei Issues
gen SozP_SPD=vn192C
replace SozP_SPD=. if  (vn192C==98 | vn192C==99)
tab SozP_SPD, miss
tab vn192C

// Achtung: objektive Position der SPD

sum SozP_SPD if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 7

gen SozP_SPD_D=1-(sqrt((SozP_Ego-7)^2))/6 if SozP_Ego>0 & SozP_Ego<12
tab SozP_SPD_D, miss


// Distanz Soziooekonomische Position FDP: Problem der Bestimmung bei Issues
gen SozP_FDP=vn192D
replace SozP_FDP=. if  (vn192D==98 |vn192D==99)
tab SozP_FDP, miss
tab vn192D

// Achtung: objektive Position der FDP

sum SozP_FDP if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 4

gen SozP_FDP_D=1-(sqrt((SozP_Ego-4)^2))/7 if SozP_Ego>0 & SozP_Ego<12
tab SozP_FDP_D, miss


// Distanz Soziooekonomische Position Buendnis 90/Die Gruenen: Problem der Bestimmung bei Issues
gen SozP_Gru=vn192E
replace SozP_Gru=. if  (vn192E==98 |vn192E==99)
tab SozP_Gru, miss
tab vn192E

// Achtung: objektive Position der Gru

sum SozP_Gru if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 7


gen SozP_Gru_D=1-(sqrt((SozP_Ego-7)^2))/6 if SozP_Ego>0 & SozP_Ego<12
tab SozP_Gru_D, miss


// Distanz Soziooekonomische Position Die Linke: Problem der Bestimmung bei Issues
gen SozP_Lin=vn192F
replace SozP_Lin=. if  (vn192F==98 |vn192F==99)
tab SozP_Lin, miss
tab vn192F

// Achtung: objektive Position der Linken

sum SozP_Lin if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 8

gen SozP_Lin_D=1-(sqrt((SozP_Ego-8)^2))/7 if SozP_Ego>0 & SozP_Ego<12
tab SozP_Lin_D, miss


// Autoritaer-libertaere Dimension-Ego
gen AutP_Ego=vn195
replace AutP_Ego=. if (vn195==98 |vn195==99)
tab AutP_Ego, miss
tab vn195, miss

// wahrscheinlich muss ich zwischen Bayern und dem Rest der Welt differenzieren

// Distanz Autoritaer-libertaere Dimension CDU
gen AutP_CDU=vn194A
replace AutP_CDU=. if  (vn194A==98 | vn194A==99)
tab AutP_CDU, miss
tab vn194A

// Achtung: objektive Position der CDU: Problem der Bestimmung bei Issues

sum AutP_CDU if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 7.79


gen AutP_CDU_D=1-(sqrt((AutP_Ego-8)^2))/7 if Erhebung==2 & AutP_Ego>0 & AutP_Ego<12
replace AutP_CDU_D=1-(sqrt((AutP_Ego-7)^2))/6 if Erhebung==1 & AutP_Ego>0 & AutP_Ego<12
tab AutP_CDU_D, miss

// Autoritaer-libertaere Dimension CSU
gen AutP_CSU=vn194B
replace AutP_CSU=. if  (vn194B==98 |vn194B==99)
tab AutP_CSU, miss
tab vn194B

// Achtung: objektive Position der CSU: Problem der Bestimmung bei Issues

sum AutP_CSU if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 8.40


gen AutP_CSU_D=1-(sqrt((AutP_Ego-8)^2))/7 if AutP_Ego>0 & AutP_Ego<12
tab AutP_CSU_D, miss

// Autoritaer-libertaere Dimension SPD
gen AutP_SPD=vn194C
replace AutP_SPD=. if  (vn194C==98 |vn194C==99)
tab AutP_SPD, miss
tab vn194C

// Achtung: objektive Position der SPD: Problem bei der Bestimmung von Issues
sum AutP_SPD if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 5.19

gen AutP_SPD_D=1-(sqrt((AutP_Ego-5)^2))/6 if AutP_Ego>0 & AutP_Ego<12
tab AutP_SPD_D, miss


// Autoritaer-libertaere Dimension FDP
gen AutP_FDP=vn194D
replace AutP_FDP=. if  (vn194D==98 |vn194D==99)
tab AutP_FDP, miss
tab vn194D

// Achtung: objektive Position der FDP: Problem bei Issues

sum AutP_FDP if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 6.82

gen AutP_FDP_D=1-(sqrt((AutP_Ego-7)^2))/6 if AutP_Ego>0 & AutP_Ego<12
tab AutP_FDP_D, miss


// Autoritaer-libertaere Dimension Buendnis 90/Die Gruenen
gen AutP_Gru=vn194E
replace AutP_Gru=. if  (vn194E==98 |vn194E==99)
tab AutP_Gru, miss
tab vn194E

// Achtung: objektive Position der Gru

sum AutP_Gru if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 4.05

gen AutP_Gru_D=1-(sqrt((AutP_Ego-4)^2))/7 if AutP_Ego>0 & AutP_Ego<12
tab AutP_Gru_D, miss


// Autoritaer-libertaere Dimension Die Linke
gen AutP_Lin=vn194F
replace AutP_Lin=. if  (vn194F==98 |vn194F==99)
tab AutP_Lin, miss
tab vn194F

// Achtung: objektive Position der Linken

sum AutP_Lin if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 4.80

gen AutP_Lin_D=1-(sqrt((AutP_Ego-5)^2))/6 if AutP_Ego>0 & AutP_Ego<12
tab AutP_Lin_D, miss


// KKW Ego
gen KKWP_Ego=vn151
replace KKWP_Ego=. if (vn151==98 |vn151==99)
tab KKWP_Ego, miss
tab vn151, miss


// wahrscheinlich muss ich zwischen Bayern und dem Rest der Welt differenzieren

// KKW CDU
gen KKWP_CDU=vn152A
replace KKWP_CDU=. if  (vn152A==98 | vn152A==99)
tab KKWP_CDU, miss
tab vn152A

// Achtung: objektive Position der CDU: Problem der Bestimmung bei Issues

sum KKWP_CDU if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 3.80

gen KKWP_CDU_D=1-(sqrt((KKWP_Ego-4)^2))/7 if KKWP_Ego>0 & KKWP_Ego<12
tab KKWP_CDU_D, miss

// KKW CSU
gen KKWP_CSU=vn152B
replace KKWP_CSU=. if  (vn152B==98 |vn152B==99)
tab KKWP_CSU, miss
tab vn152B

// Achtung: objektive Position der CSU

sum KKWP_CSU if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 3.63

gen KKWP_CSU_D=1-(sqrt((KKWP_Ego-4)^2))/7 if KKWP_Ego>0 & KKWP_Ego<12
tab KKWP_CSU_D, miss

// KKW SPD
gen KKWP_SPD=vn152C
replace KKWP_SPD=. if  (vn152C==98 |vn152C==99)
tab KKWP_SPD, miss
tab vn152C

// Achtung: objektive Position der SPD

sum KKWP_SPD if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 7.30

gen KKWP_SPD_D=1-(sqrt((KKWP_Ego-7)^2))/6 if KKWP_Ego>0 & KKWP_Ego<12
tab KKWP_SPD_D, miss

// KKW FDP
gen KKWP_FDP=vn152D
replace KKWP_FDP=. if  (vn152D==98 |vn152D==99)
tab KKWP_FDP, miss
tab vn152D

// Achtung: objektive Position der FDP

sum KKWP_FDP if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 4.25

gen KKWP_FDP_D=1-(sqrt((KKWP_Ego-4)^2))/7 if KKWP_Ego>0 & KKWP_Ego<12 & Erhebung==2
replace KKWP_FDP_D=1-(sqrt((KKWP_Ego-5)^2))/6 if KKWP_Ego>0 & KKWP_Ego<12 & Erhebung==1
tab KKWP_FDP_D, miss

// KKW Buendnis 90/Die Gruenen
gen KKWP_Gru=vn152E
replace KKWP_Gru=. if  (vn152E==98 |vn152E==99)
tab KKWP_Gru, miss
tab vn152E

// Achtung: objektive Position der Gru

sum KKWP_Gru if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]


// 10.19

gen KKWP_Gru_D=1-(sqrt((KKWP_Ego-10)^2))/9
tab KKWP_Gru_D, miss

// KKW Die Linke
gen KKWP_Lin=vn152F
replace KKWP_Lin=. if  (vn152F==98 |vn152F==99)
tab KKWP_Lin, miss
tab vn152F

// Achtung: objektive Position der Linken

sum KKWP_Lin if (PWissen==2|PWissen==3) & Erhebung==2 [aw=owtrans]

// 8.26


gen KKWP_Lin_D=1-(sqrt((KKWP_Ego-8)^2))/7 if KKWP_Ego>0 & KKWP_Ego<12
tab KKWP_Lin_D, miss


*/ Gewichtung der Issuedimensionen

gen gewiss1=0
replace gewiss1=1-(vn260-1)/4 if vn260>0 & vn260<6
gen gewiss2=0
replace gewiss2=1-(vn262-1)/4 if vn262>0 & vn262<6
gen gewiss3=0
replace gewiss3=1-(vn153A-1)/4 if vn153A>0 & vn153A<6
tab1 gewiss1 vn260
gen issgewicht=(gewiss1+gewiss2+gewiss3)/3
tab issgewicht

gen issgew1a=0
replace issgew1a=1 if vn192A>0 & vn192A<12
gen issgew1b=0
replace issgew1b=1 if vn192B>0 & vn192B<12
gen issgew1c=0
replace issgew1c=1 if vn192C>0 & vn192C<12
gen issgew1d=0
replace issgew1d=1 if vn192D>0 & vn192D<12
gen issgew1e=0
replace issgew1e=1 if vn192E>0 & vn192E<12
gen issgew1f=0
replace issgew1f=1 if vn192F>0 & vn192F<12

gen issgew2a=0
replace issgew2a=1 if vn194A>0 & vn194A<12
gen issgew2b=0
replace issgew2b=1 if vn194B>0 & vn194B<12
gen issgew2c=0
replace issgew2c=1 if vn194C>0 & vn194C<12
gen issgew2d=0
replace issgew2d=1 if vn194D>0 & vn194D<12
gen issgew2e=0
replace issgew2e=1 if vn194E>0 & vn194E<12
gen issgew2f=0
replace issgew2f=1 if vn194F>0 & vn194F<12

gen issgew3a=0
replace issgew3a=1 if vn152A>0 & vn152A<12
gen issgew3b=0
replace issgew3b=1 if vn152B>0 & vn152B<12
gen issgew3c=0
replace issgew3c=1 if vn152C>0 & vn152C<12
gen issgew3d=0
replace issgew3d=1 if vn152D>0 & vn152D<12
gen issgew3e=0
replace issgew3e=1 if vn152E>0 & vn152E<12
gen issgew3f=0
replace issgew3f=1 if vn152F>0 & vn152F<12

gen posgew1=(issgew1a+issgew1b+issgew1c+issgew1d+issgew1e+issgew1f)/12
gen posgew2=(issgew2a+issgew2b+issgew2c+issgew2d+issgew2e+issgew2f)/12
gen posgew3=(issgew3a+issgew3b+issgew3c+issgew3d+issgew3e+issgew3f)/12
tab1 posgew*
gen posgew1a=0
replace posgew1a=0.5+posgew1 if vn193>0 & vn193<12
gen posgew2a=0
replace posgew2a=0.5+posgew2 if vn195>0 & vn195<12
gen posgew3a=0
replace posgew3a=0.5+posgew3 if vn151>0 & vn151<12
tab posgew1a

gen kompgew1=0
replace kompgew1=1 if vn173A>0 & vn173A<43
gen kompgew2=0
replace kompgew2=1 if vn175A>0 & vn175A<43
gen kompgew3=0
replace kompgew3=1 if vn177A>0 & vn177A<43
gen kompgew=(kompgew1+kompgew2+kompgew3)/3
tab kompgew


// Mittelwertindex ueber die einzelnen Issues fuer die einzelnen Parteien
// CDU

gen PIss_CDU1=(posgew1a*SozP_CDU_D+posgew2a*AutP_CDU_D+posgew3a*KKWP_CDU_D)/3
gen PIss_CSU1=(posgew1a*SozP_CSU_D+posgew2a*AutP_CSU_D+posgew3a*KKWP_CSU_D)/3
gen PIss_SPD1=(posgew1a*SozP_SPD_D+posgew2a*AutP_SPD_D+posgew3a*KKWP_SPD_D)/3
gen PIss_FDP1=(posgew1a*SozP_FDP_D+posgew2a*AutP_FDP_D+posgew3a*KKWP_FDP_D)/3
gen PIss_Gru1=(posgew1a*SozP_Gru_D+posgew2a*AutP_Gru_D+posgew3a*KKWP_Gru_D)/3
gen PIss_Lin1=(posgew1a*SozP_Lin_D+posgew2a*AutP_Lin_D+posgew3a*KKWP_Lin_D)/3


egen PIss_CDU=rowmean(SozP_CDU_D AutP_CDU_D KKWP_CDU_D)
gen PIss_CDUg=PIss_CDU*issgewicht
tab PIss_CDU, miss
sum PIss_CDU
// CSU
egen PIss_CSU=rowmean(SozP_CSU_D AutP_CSU_D KKWP_CSU_D)
gen PIss_CSUg=PIss_CSU*issgewicht
tab PIss_CSU, miss
sum PIss_CSU
// SPD
egen PIss_SPD=rowmean(SozP_SPD_D AutP_SPD_D KKWP_SPD_D)
gen PIss_SPDg=PIss_SPD*issgewicht
tab PIss_SPD, miss
sum PIss_SPD
// FDP
egen PIss_FDP=rowmean(SozP_FDP_D AutP_FDP_D KKWP_FDP_D)
gen PIss_FDPg=PIss_FDP*issgewicht
tab PIss_FDP, miss
sum PIss_FDP
// Gru
egen PIss_Gru=rowmean(SozP_Gru_D AutP_Gru_D KKWP_Gru_D)
gen PIss_Grug=PIss_Gru*issgewicht
tab PIss_Gru, miss
sum PIss_Gru
// Lin
egen PIss_Lin=rowmean(SozP_Lin_D AutP_Lin_D KKWP_Lin_D)
gen PIss_Ling=PIss_Lin*issgewicht
tab PIss_Lin, miss
sum PIss_Lin


// Kandidateneinschtzungen


gen merkel=(vn166A-1)/10 if vn166A>0 & vn166A<12
gen stein=(vn166C-1)/10 if vn166C>0 & vn166C<12
gen wester=(vn166D-1)/10 if vn166D>0 & vn166D<12
gen knast=(vn166E-1)/10 if vn166E>0 & vn166E<12
gen lafo=(vn166F-1)/10 if vn166F>0 & vn166F<12
tab knast

*/ retrospektive Bewertung der Parteileistungen (--> nur Nachwahl)

tab1 vn123A vn123B vn123C n502A n502B n502C
mvdecode vn123A vn123B vn123C n502A n502B n502C, mv (98 99)
tab1 vn123A vn123B vn123C n502A n502B n502C

gen perfunion=1-(vn123A-1)/10 if Erhebung==2 & land~=9
replace perfunion=1-(vn123A-1)/10 if Erhebung==2 & land==9
gen perfspd=1-(vn123C-1)/10 if Erhebung==2
gen perffdp=1-(n502A-1)/10 if Erhebung==2
gen perfgru=1-(n502B-1)/10 if Erhebung==2
gen perflin=1-(n502C-1)/10 if Erhebung==2
tab perfunion

// Gesamteinschaetzungen

// CDU
egen CDU=rowmean(PID_Union LR_CDU_D PIss_CDU)
tab CDU, miss
egen CSU=rowmean(PID_Union LR_CSU_D PIss_CSU)
tab CSU, miss
gen Union=CDU if land~=9
replace Union=CSU if land==9
tab Union
// SPD
egen SPD=rowmean(PID_SPD LR_SPD_D PIss_SPD)
tab SPD, miss
// FDP
egen FDP=rowmean(PID_FDP LR_FDP_D PIss_FDP)
tab FDP, miss
// Gru
egen Gru=rowmean(PID_Gru LR_Gru_D PIss_Gru)
tab Gru, miss
// Lin
egen Lin=rowmean(PID_Lin LR_Lin_D PIss_Lin)
tab Lin, miss

sum CDU-Lin

// CDU
egen CDUa=rowmean(PID_Union LR_CDU_D PIss_CDU1)
egen CSUa=rowmean(PID_Union LR_CSU_D PIss_CSU1)
gen Uniona=CDUa if land~=9
replace Uniona=CSUa if land==9
tab CDU, miss
// SPD
egen SPDa=rowmean(PID_SPD LR_SPD_D PIss_SPD1)
tab SPD, miss
// FDP
egen FDPa=rowmean(PID_FDP LR_FDP_D PIss_FDP1)
tab FDP, miss
// Gru
egen Grua=rowmean(PID_Gru LR_Gru_D PIss_Gru1)
tab Gru, miss
// Lin
egen Lina=rowmean(PID_Lin LR_Lin_D PIss_Lin1)
tab Lin, miss

// CDU
egen CDUb=rowmean(PID_Union LR_CDU_D PIss_CDU cdukomg1)
egen CSUb=rowmean(PID_Union LR_CSU_D PIss_CSU cdukomg1)
gen Unionb=CDUb if land~=9
replace Unionb=CSUb if land==9
tab CDU, miss
// SPD
egen SPDb=rowmean(PID_SPD LR_SPD_D PIss_SPD spdkomg1)
tab SPD, miss
// FDP
egen FDPb=rowmean(PID_FDP LR_FDP_D PIss_FDP fdpkomg1)
tab FDP, miss
// Gru
egen Grub=rowmean(PID_Gru LR_Gru_D PIss_Gru grukomg1)
tab Gru, miss
// Lin
egen Linb=rowmean(PID_Lin LR_Lin_D PIss_Lin linkomg1)
tab Lin, miss

// CDU
egen CDUc=rowmean(PID_Union LR_CDU_D PIss_CDU cdukomg2)
egen CSUc=rowmean(PID_Union LR_CSU_D PIss_CSU cdukomg2)
gen Unionc=CDUc if land~=9
replace Unionc=CSUc if land==9
tab CDU, miss
// SPD
egen SPDc=rowmean(PID_SPD LR_SPD_D PIss_SPD spdkomg2)
tab SPD, miss
// FDP
egen FDPc=rowmean(PID_FDP LR_FDP_D PIss_FDP fdpkomg2)
tab FDP, miss
// Gru
egen Gruc=rowmean(PID_Gru LR_Gru_D PIss_Gru grukomg2)
tab Gru, miss
// Lin
egen Linc=rowmean(PID_Lin LR_Lin_D PIss_Lin linkomg2)
tab Lin, miss

// CDU
egen CDUd=rowmean(PID_Union LR_CDU_D PIss_CDU cdukomg2 merkel)
egen CSUd=rowmean(PID_Union LR_CSU_D PIss_CSU cdukomg2 merkel)
gen Uniond=CDUd if land~=9
replace Uniond=CSUd if land==9
tab CDU, miss
// SPD
egen SPDd=rowmean(PID_SPD LR_SPD_D PIss_SPD spdkomg2 stein)
tab SPD, miss
// FDP
egen FDPd=rowmean(PID_FDP LR_FDP_D PIss_FDP fdpkomg2 wester)
tab FDP, miss
// Gru
egen Grud=rowmean(PID_Gru LR_Gru_D PIss_Gru grukomg2 knast)
tab Gru, miss
// Lin
egen Lind=rowmean(PID_Lin LR_Lin_D PIss_Lin linkomg2 lafo)
tab Lin, miss

*/ doppeltes Gewicht fr PID

gen PID_Union2=2*PID_Union
gen PID_SPD2=2*PID_SPD
gen PID_FDP2=2*PID_FDP
gen PID_Gru2=2*PID_Gru
gen PID_Lin2=2*PID_Lin

// CDU
egen CDUe=rowmean(PID_Union2 LR_CDU_D)
tab CDUe, miss
egen CSUe=rowmean(PID_Union2 LR_CSU_D)
tab CSUe, miss
gen Unione=CDUe if land~=9
replace Unione=CSUe if land==9
tab Union
// SPD
egen SPDe=rowmean(PID_SPD2 LR_SPD_D)
tab SPD, miss
// FDP
egen FDPe=rowmean(PID_FDP2 LR_FDP_D)
tab FDPe, miss
// Gru
egen Grue=rowmean(PID_Gru2 LR_Gru_D)
tab Grue, miss
// Lin
egen Line=rowmean(PID_Lin2 LR_Lin_D)
tab Line, miss


// CDU
egen CDUf=rowmean(PID_Union2 LR_CDU_D PIss_CDU cdukomg2)
egen CSUf=rowmean(PID_Union2 LR_CSU_D PIss_CSU cdukomg2)
gen Unionf=CDUf if land~=9
replace Unionf=CSUf if land==9
tab CDU, miss
// SPD
egen SPDf=rowmean(PID_SPD2 LR_SPD_D PIss_SPD spdkomg2)
tab SPD, miss
// FDP
egen FDPf=rowmean(PID_FDP2 LR_FDP_D PIss_FDP fdpkomg2)
tab FDP, miss
// Gru
egen Gruf=rowmean(PID_Gru2 LR_Gru_D PIss_Gru grukomg2)
tab Gru, miss
// Lin
egen Linf=rowmean(PID_Lin2 LR_Lin_D PIss_Lin linkomg2)
tab Lin, miss

// CDU
egen CDUg=rowmean(PID_Union LR_CDU_D PIss_CDU1 merkel)
egen CSUg=rowmean(PID_Union LR_CSU_D PIss_CSU1 merkel)
gen Uniong=CDUg if land~=9
replace Uniong=CSUg if land==9
tab CDUg, miss
// SPD
egen SPDg=rowmean(PID_SPD LR_SPD_D PIss_SPD1 stein)
tab SPDg, miss
// FDP
egen FDPg=rowmean(PID_FDP LR_FDP_D PIss_FDP1 wester)
tab FDPg, miss
// Gru
egen Grug=rowmean(PID_Gru LR_Gru_D PIss_Gru1 knast)
tab Grug, miss
// Lin
egen Ling=rowmean(PID_Lin LR_Lin_D PIss_Lin1 lafo)
tab Ling, miss


// CDU
egen CDUi=rowmean(PID_Union LR_CDU_D PIss_CDU1 perfunion)
egen CSUi=rowmean(PID_Union LR_CSU_D PIss_CSU1 perfunion)
gen Unioni=CDUi if land~=9
replace Unioni=CSUi if land==9
tab CDUi, miss
// SPD
egen SPDi=rowmean(PID_SPD LR_SPD_D PIss_SPD1 perfspd)
tab SPDi, miss
// FDP
egen FDPi=rowmean(PID_FDP LR_FDP_D PIss_FDP1 perffdp)
tab FDPi, miss
// Gru
egen Grui=rowmean(PID_Gru LR_Gru_D PIss_Gru1 perfgru)
tab Grui, miss
// Lin
egen Lini=rowmean(PID_Lin LR_Lin_D PIss_Lin1 perflin)
tab Lini, miss


// CDU
egen CDUj=rowmean(PID_Union LR_CDU_D PIss_CDU1 perfunion cdukomg2)
egen CSUj=rowmean(PID_Union LR_CSU_D PIss_CSU1 perfunion cdukomg2)
gen Unionj=CDUj if land~=9
replace Unionj=CSUj if land==9
tab CDUj, miss
// SPD
egen SPDj=rowmean(PID_SPD LR_SPD_D PIss_SPD1 perfspd spdkomg2)
tab SPDj, miss
// FDP
egen FDPj=rowmean(PID_FDP LR_FDP_D PIss_FDP1 perffdp fdpkomg2)
tab FDPj, miss
// Gru
egen Gruj=rowmean(PID_Gru LR_Gru_D PIss_Gru1 perfgru grukomg2)
tab Gruj, miss
// Lin
egen Linj=rowmean(PID_Lin LR_Lin_D PIss_Lin1 perflin linkomg2)
tab Linj, miss

// CDU
egen CDUk=rowmean(LR_CDU_D PIss_CDU1 perfunion merkel cdukomg2)
egen CSUk=rowmean(LR_CSU_D PIss_CSU1 perfunion merkel cdukomg2)
gen Unionk=CDUk if land~=9
replace Unionk=CSUk if land==9
tab CDUk, miss
// SPD
egen SPDk=rowmean(LR_SPD_D PIss_SPD1 perfspd stein spdkomg2)
tab SPDk, miss
// FDP
egen FDPk=rowmean(LR_FDP_D PIss_FDP1 perffdp wester fdpkomg2)
tab FDPk, miss
// Gru
egen Gruk=rowmean(LR_Gru_D PIss_Gru1 perfgru knast grukomg2)
tab Gruk, miss
// Lin
egen Link=rowmean(LR_Lin_D PIss_Lin1 perflin lafo linkomg2)
tab Link, miss



sum CDUa
sum SPDa
sum FDPa
sum Grua
sum Lina


sum CDUa CDUb CDUc CDUd
sum SPDa SPDb SPDc SPDd
sum FDPa FDPb FDPc FDPd
sum Grua Grub Gruc Grud
sum Lina Linb Linc Lind

// Variable, die korrektes Waehlen anzeigt
gen VC_Union=0
replace VC_Union=1 if Union>SPD & Union>FDP & Union>Gru & Union>Lin
gen VC_SPD=0
replace VC_SPD=1 if SPD > Union & SPD > FDP & SPD > Gru & SPD > Lin
gen VC_FDP=0
replace VC_FDP=1 if FDP>Union & FDP>SPD & FDP>Gru & FDP>Lin
gen VC_Gru=0
replace VC_Gru=1 if Gru>Union & Gru>SPD & Gru>FDP & Gru>Lin
gen VC_Lin=0
replace VC_Lin=1 if Lin>Union & Lin>SPD & Lin>FDP & Lin>Gru

*/ hier wird wieder experimentiert

gen VC_Uniona=0
replace VC_Uniona=1 if Uniona>SPDa & Uniona>FDPa & Uniona>Grua & Uniona>Lina
gen VC_SPDa=0
replace VC_SPDa=1 if SPDa > Uniona & SPDa > FDPa & SPDa > Grua & SPDa > Lina
gen VC_FDPa=0
replace VC_FDPa=1 if FDPa>Uniona & FDPa>SPDa & FDPa>Grua & FDPa>Lina
gen VC_Grua=0
replace VC_Grua=1 if Grua>Uniona & Grua>SPDa & Grua>FDPa & Grua>Lina
gen VC_Lina=0
replace VC_Lina=1 if Lina>Uniona & Lina>SPDa & Lina>FDPa & Lina>Grua

gen VC_Unionb=0
replace VC_Unionb=1 if Unionb>SPDb & Unionb>FDPb & Unionb>Grub & Unionb>Linb
gen VC_SPDb=0
replace VC_SPDb=1 if SPDb > Unionb & SPDb > FDPb & SPDb > Grub & SPDb > Linb
gen VC_FDPb=0
replace VC_FDPb=1 if FDPb>Unionb & FDPb>SPDb & FDPb>Grub & FDPb>Linb
gen VC_Grub=0
replace VC_Grub=1 if Grub>Unionb & Grub>SPDb & Grub>FDPb & Grub>Linb
gen VC_Linb=0
replace VC_Linb=1 if Linb>Unionb & Linb>SPDb & Linb>FDPb & Linb>Grub

gen VC_Unionc=0
replace VC_Unionc=1 if Unionc>SPDc & Unionc>FDPc & Unionc>Gruc & Unionc>Linc
gen VC_SPDc=0
replace VC_SPDc=1 if SPDc > Unionc & SPDc > FDPc & SPDc > Gruc & SPDc > Linc
gen VC_FDPc=0
replace VC_FDPc=1 if FDPc>Unionc & FDPc>SPDc & FDPc>Gruc & FDPc>Linc
gen VC_Gruc=0
replace VC_Gruc=1 if Gruc>Unionc & Gruc>SPDc & Gruc>FDPc & Gruc>Linc
gen VC_Linc=0
replace VC_Linc=1 if Linc>Unionc & Linc>SPDc & Linc>FDPc & Linc>Gruc

gen VC_Uniond=0
replace VC_Uniond=1 if Uniond>SPDd & Uniond>FDPd & Uniond>Grud & Uniond>Lind
gen VC_SPDd=0
replace VC_SPDd=1 if SPDd > Uniond & SPDd > FDPd & SPDd > Grud & SPDd > Lind
gen VC_FDPd=0
replace VC_FDPd=1 if FDPd>Uniond & FDPd>SPDd & FDPd>Grud & FDPd>Lind
gen VC_Grud=0
replace VC_Grud=1 if Grud>Uniond & Grud>SPDd & Grud>FDPd & Grud>Lind
gen VC_Lind=0
replace VC_Lind=1 if Lind>Uniond & Lind>SPDd & Lind>FDPd & Lind>Grud

gen VC_Unione=0
replace VC_Unione=1 if Unione>SPDe & Unione>FDPe & Unione>Grue & Unione>Line
gen VC_SPDe=0
replace VC_SPDe=1 if SPDe > Unione & SPDe > FDPe & SPDe > Grue & SPDe > Line
gen VC_FDPe=0
replace VC_FDPe=1 if FDPe>Unione & FDPe>SPDe & FDPe>Grue & FDPe>Line
gen VC_Grue=0
replace VC_Grue=1 if Grue>Unione & Grue>SPDe & Grue>FDPe & Grue>Line
gen VC_Line=0
replace VC_Line=1 if Line>Unione & Line>SPDe & Line>FDPe & Line>Grue

gen VC_Unionf=0
replace VC_Unionf=1 if Unionf>SPDf & Unionf>FDPf & Unionf>Gruf & Unionf>Linf
gen VC_SPDf=0
replace VC_SPDf=1 if SPDf > Unionf & SPDf > FDPf & SPDf > Gruf & SPDf > Linf
gen VC_FDPf=0
replace VC_FDPf=1 if FDPf>Unionf & FDPf>SPDf & FDPf>Gruf & FDPf>Linf
gen VC_Gruf=0
replace VC_Gruf=1 if Gruf>Unionf & Gruf>SPDf & Gruf>FDPf & Gruf>Linf
gen VC_Linf=0
replace VC_Linf=1 if Linf>Unionf & Linf>SPDf & Linf>FDPf & Linf>Gruf

gen VC_Uniong=0
replace VC_Uniong=1 if Uniong>SPDg & Uniong>FDPg & Uniong>Grug & Uniong>Ling
gen VC_SPDg=0
replace VC_SPDg=1 if SPDg > Uniong & SPDg > FDPg & SPDg > Grug & SPDg > Ling
gen VC_FDPg=0
replace VC_FDPg=1 if FDPg>Uniong & FDPg>SPDg & FDPg>Grug & FDPg>Ling
gen VC_Grug=0
replace VC_Grug=1 if Grug>Uniong & Grug>SPDg & Grug>FDPg & Grug>Ling
gen VC_Ling=0
replace VC_Ling=1 if Ling>Uniong & Ling>SPDg & Ling>FDPg & Ling>Grug

gen VC_Unioni=0
replace VC_Unioni=1 if Unioni>SPDi & Unioni>FDPi & Unioni>Grui & Unioni>Lini
gen VC_SPDi=0
replace VC_SPDi=1 if SPDi > Unioni & SPDi > FDPi & SPDi > Grui & SPDi > Lini
gen VC_FDPi=0
replace VC_FDPi=1 if FDPi>Unioni & FDPi>SPDi & FDPi>Grui & FDPi>Lini
gen VC_Grui=0
replace VC_Grui=1 if Grui>Unioni & Grui>SPDi & Grui>FDPi & Grui>Lini
gen VC_Lini=0
replace VC_Lini=1 if Lini>Unioni & Lini>SPDi & Lini>FDPi & Lini>Grui

gen VC_Unionj=0
replace VC_Unionj=1 if Unionj>SPDj & Unionj>FDPj & Unionj>Gruj & Unionj>Linj
gen VC_SPDj=0
replace VC_SPDj=1 if SPDj > Unionj & SPDj > FDPj & SPDj > Gruj & SPDj > Linj
gen VC_FDPj=0
replace VC_FDPj=1 if FDPj>Unionj & FDPj>SPDj & FDPj>Gruj & FDPj>Linj
gen VC_Gruj=0
replace VC_Gruj=1 if Gruj>Unionj & Gruj>SPDj & Gruj>FDPj & Gruj>Linj
gen VC_Linj=0
replace VC_Linj=1 if Linj>Unionj & Linj>SPDj & Linj>FDPj & Linj>Gruj

gen VC_Unionk=0
replace VC_Unionk=1 if Unionk>SPDk & Unionk>FDPk & Unionk>Gruk & Unionk>Link
gen VC_SPDk=0
replace VC_SPDk=1 if SPDk > Unionk & SPDk > FDPk & SPDk > Gruk & SPDk > Link
gen VC_FDPk=0
replace VC_FDPk=1 if FDPk>Unionk & FDPk>SPDk & FDPk>Gruk & FDPk>Link
gen VC_Gruk=0
replace VC_Gruk=1 if Gruk>Unionk & Gruk>SPDk & Gruk>FDPk & Gruk>Link
gen VC_Link=0
replace VC_Link=1 if Link>Unionk & Link>SPDk & Link>FDPk & Link>Gruk



// Wahlvariable


// Wahlentscheidung zugunsten der CDU/CSU
gen Wahl_Union=0
replace Wahl_Union=1 if (n169_2A==21 | v254_2A==21| v435D==21)
tab Wahl_Union, miss
 // Wahlentscheidung zugunsten der SPD
gen Wahl_SPD=0
replace Wahl_SPD=1 if (n169_2A==22 | v254_2A==22| v435D==22)
tab Wahl_SPD, miss
// Wahlentscheidung zugunsten der FDP
gen Wahl_FDP=0
replace Wahl_FDP=1 if (n169_2A==23 | v435D==24 |v254_2A==24)
tab Wahl_FDP, miss
// Wahlentscheidung zugunsten der Gruenen
gen Wahl_Gru=0
replace Wahl_Gru=1 if (n169_2A==24 | v435D==23 |v254_2A==23)
tab Wahl_Gru, miss
// Wahlentscheidung zugunsten der Linken
gen Wahl_Lin=0
replace Wahl_Lin=1 if (n169_2A==25 | v435D==25 |v254_2A==25)
tab Wahl_Lin, miss

gen wahlwv=1 if Wahl_Union==1
replace wahlwv=2 if Wahl_SPD==1
replace wahlwv=3 if Wahl_FDP==1
replace wahlwv=4 if Wahl_Gru==1
replace wahlwv=5 if Wahl_Lin==1
tab wahlwv

// Wahlentscheidung zugunsten der CDU/CSU
gen Wahl_Unionh=0
replace Wahl_Unionh=1 if (n169_2A==21 | v435D==21|n255_2A==21)
tab Wahl_Unionh, miss
 // Wahlentscheidung zugunsten der SPD
gen Wahl_SPDh=0
replace Wahl_SPDh=1 if (n169_2A==22 | v435D==22|n255_2A==22)
tab Wahl_SPDh, miss
// Wahlentscheidung zugunsten der FDP
gen Wahl_FDPh=0
replace Wahl_FDPh=1 if (n169_2A==23 | v435D==23|n255_2A==23)
tab Wahl_FDPh, miss
// Wahlentscheidung zugunsten der Gruenen
gen Wahl_Gruh=0
replace Wahl_Gruh=1 if (n169_2A==24 | v435D==24|n255_2A==24)
tab Wahl_Gruh, miss
// Wahlentscheidung zugunsten der Linken
gen Wahl_Linh=0
replace Wahl_Linh=1 if (n169_2A==25 | v435D==25|n255_2A==25)
tab Wahl_Linh, miss



// Uebereinstimmung von Wahlentscheidung und korrekter Wahlentscheidung
gen VC_Index=.
replace VC_Index=1 if (Wahl_Union==1 & VC_Union==1)
replace VC_Index=0 if (Wahl_Union==1 & VC_Union!=1)
replace VC_Index=1 if (Wahl_SPD==1 & VC_SPD==1)
replace VC_Index=0 if (Wahl_SPD==1 & VC_SPD!=1)
replace VC_Index=1 if (Wahl_FDP==1 & VC_FDP==1)
replace VC_Index=0 if (Wahl_FDP==1 & VC_FDP!=1)
replace VC_Index=1 if (Wahl_Gru==1 & VC_Gru==1)
replace VC_Index=0 if (Wahl_Gru==1 & VC_Gru!=1)
replace VC_Index=1 if (Wahl_Lin==1 & VC_Lin==1)
replace VC_Index=0 if (Wahl_Lin==1 & VC_Lin!=1)

tab VC_Index, miss
tab VC_Index

tab VC_Index [aweight=gewicht]


gen wahlVC=1 if VC_Union==1
replace wahlVC=2 if VC_SPD==1
replace wahlVC=3 if VC_FDP==1
replace wahlVC=4 if VC_Gru==1
replace wahlVC=5 if VC_Lin==1
tab wahlVC

gen VC_Indexa=.
replace VC_Indexa=1 if (Wahl_Union==1 & VC_Uniona==1)
replace VC_Indexa=0 if (Wahl_Union==1 & VC_Uniona!=1)
replace VC_Indexa=1 if (Wahl_SPD==1 & VC_SPDa==1)
replace VC_Indexa=0 if (Wahl_SPD==1 & VC_SPDa!=1)
replace VC_Indexa=1 if (Wahl_FDP==1 & VC_FDPa==1)
replace VC_Indexa=0 if (Wahl_FDP==1 & VC_FDPa!=1)
replace VC_Indexa=1 if (Wahl_Gru==1 & VC_Grua==1)
replace VC_Indexa=0 if (Wahl_Gru==1 & VC_Grua!=1)
replace VC_Indexa=1 if (Wahl_Lin==1 & VC_Lina==1)
replace VC_Indexa=0 if (Wahl_Lin==1 & VC_Lina!=1)



gen VC_Indexb=.
replace VC_Indexb=1 if (Wahl_Union==1 & VC_Unionb==1)
replace VC_Indexb=0 if (Wahl_Union==1 & VC_Unionb!=1)
replace VC_Indexb=1 if (Wahl_SPD==1 & VC_SPDb==1)
replace VC_Indexb=0 if (Wahl_SPD==1 & VC_SPDb!=1)
replace VC_Indexb=1 if (Wahl_FDP==1 & VC_FDPb==1)
replace VC_Indexb=0 if (Wahl_FDP==1 & VC_FDPb!=1)
replace VC_Indexb=1 if (Wahl_Gru==1 & VC_Grub==1)
replace VC_Indexb=0 if (Wahl_Gru==1 & VC_Grub!=1)
replace VC_Indexb=1 if (Wahl_Lin==1 & VC_Linb==1)
replace VC_Indexb=0 if (Wahl_Lin==1 & VC_Linb!=1)

gen VC_Indexc=.
replace VC_Indexc=1 if (Wahl_Union==1 & VC_Unionc==1)
replace VC_Indexc=0 if (Wahl_Union==1 & VC_Unionc!=1)
replace VC_Indexc=1 if (Wahl_SPD==1 & VC_SPDc==1)
replace VC_Indexc=0 if (Wahl_SPD==1 & VC_SPDc!=1)
replace VC_Indexc=1 if (Wahl_FDP==1 & VC_FDPc==1)
replace VC_Indexc=0 if (Wahl_FDP==1 & VC_FDPc!=1)
replace VC_Indexc=1 if (Wahl_Gru==1 & VC_Gruc==1)
replace VC_Indexc=0 if (Wahl_Gru==1 & VC_Gruc!=1)
replace VC_Indexc=1 if (Wahl_Lin==1 & VC_Linc==1)
replace VC_Indexc=0 if (Wahl_Lin==1 & VC_Linc!=1)

gen wahlVCc=1 if VC_Unionc==1
replace wahlVCc=2 if VC_SPDc==1
replace wahlVCc=3 if VC_FDPc==1
replace wahlVCc=4 if VC_Gruc==1
replace wahlVCc=5 if VC_Linc==1
tab wahlVCc

gen VC_Indexd=.
replace VC_Indexd=1 if (Wahl_Union==1 & VC_Uniond==1)
replace VC_Indexd=0 if (Wahl_Union==1 & VC_Uniond!=1)
replace VC_Indexd=1 if (Wahl_SPD==1 & VC_SPDd==1)
replace VC_Indexd=0 if (Wahl_SPD==1 & VC_SPDd!=1)
replace VC_Indexd=1 if (Wahl_FDP==1 & VC_FDPd==1)
replace VC_Indexd=0 if (Wahl_FDP==1 & VC_FDPd!=1)
replace VC_Indexd=1 if (Wahl_Gru==1 & VC_Grud==1)
replace VC_Indexd=0 if (Wahl_Gru==1 & VC_Grud!=1)
replace VC_Indexd=1 if (Wahl_Lin==1 & VC_Lind==1)
replace VC_Indexd=0 if (Wahl_Lin==1 & VC_Lind!=1)

gen VC_Indexe=.
replace VC_Indexe=1 if (Wahl_Union==1 & VC_Unione==1)
replace VC_Indexe=0 if (Wahl_Union==1 & VC_Unione!=1)
replace VC_Indexe=1 if (Wahl_SPD==1 & VC_SPDe==1)
replace VC_Indexe=0 if (Wahl_SPD==1 & VC_SPDe!=1)
replace VC_Indexe=1 if (Wahl_FDP==1 & VC_FDPe==1)
replace VC_Indexe=0 if (Wahl_FDP==1 & VC_FDPe!=1)
replace VC_Indexe=1 if (Wahl_Gru==1 & VC_Grue==1)
replace VC_Indexe=0 if (Wahl_Gru==1 & VC_Grue!=1)
replace VC_Indexe=1 if (Wahl_Lin==1 & VC_Line==1)
replace VC_Indexe=0 if (Wahl_Lin==1 & VC_Line!=1)

gen VC_Indexf=.
replace VC_Indexf=1 if (Wahl_Union==1 & VC_Unionf==1)
replace VC_Indexf=0 if (Wahl_Union==1 & VC_Unionf!=1)
replace VC_Indexf=1 if (Wahl_SPD==1 & VC_SPDf==1)
replace VC_Indexf=0 if (Wahl_SPD==1 & VC_SPDf!=1)
replace VC_Indexf=1 if (Wahl_FDP==1 & VC_FDPf==1)
replace VC_Indexf=0 if (Wahl_FDP==1 & VC_FDPf!=1)
replace VC_Indexf=1 if (Wahl_Gru==1 & VC_Gruf==1)
replace VC_Indexf=0 if (Wahl_Gru==1 & VC_Gruf!=1)
replace VC_Indexf=1 if (Wahl_Lin==1 & VC_Linf==1)
replace VC_Indexf=0 if (Wahl_Lin==1 & VC_Linf!=1)

gen VC_Indexg=.
replace VC_Indexg=1 if (Wahl_Union==1 & VC_Uniong==1)
replace VC_Indexg=0 if (Wahl_Union==1 & VC_Uniong!=1)
replace VC_Indexg=1 if (Wahl_SPD==1 & VC_SPDg==1)
replace VC_Indexg=0 if (Wahl_SPD==1 & VC_SPDg!=1)
replace VC_Indexg=1 if (Wahl_FDP==1 & VC_FDPg==1)
replace VC_Indexg=0 if (Wahl_FDP==1 & VC_FDPg!=1)
replace VC_Indexg=1 if (Wahl_Gru==1 & VC_Grug==1)
replace VC_Indexg=0 if (Wahl_Gru==1 & VC_Grug!=1)
replace VC_Indexg=1 if (Wahl_Lin==1 & VC_Ling==1)
replace VC_Indexg=0 if (Wahl_Lin==1 & VC_Ling!=1)

gen wahlVCg=1 if VC_Uniong==1
replace wahlVCg=2 if VC_SPDg==1
replace wahlVCg=3 if VC_FDPg==1
replace wahlVCg=4 if VC_Grug==1
replace wahlVCg=5 if VC_Ling==1
tab wahlVCg

gen VC_Indexi=.
replace VC_Indexi=1 if (Wahl_Union==1 & VC_Unioni==1)
replace VC_Indexi=0 if (Wahl_Union==1 & VC_Unioni!=1)
replace VC_Indexi=1 if (Wahl_SPD==1 & VC_SPDi==1)
replace VC_Indexi=0 if (Wahl_SPD==1 & VC_SPDi!=1)
replace VC_Indexi=1 if (Wahl_FDP==1 & VC_FDPi==1)
replace VC_Indexi=0 if (Wahl_FDP==1 & VC_FDPi!=1)
replace VC_Indexi=1 if (Wahl_Gru==1 & VC_Grui==1)
replace VC_Indexi=0 if (Wahl_Gru==1 & VC_Grui!=1)
replace VC_Indexi=1 if (Wahl_Lin==1 & VC_Lini==1)
replace VC_Indexi=0 if (Wahl_Lin==1 & VC_Lini!=1)

gen wahlVCi=1 if VC_Unioni==1
replace wahlVCi=2 if VC_SPDi==1
replace wahlVCi=3 if VC_FDPi==1
replace wahlVCi=4 if VC_Grui==1
replace wahlVCi=5 if VC_Lini==1
tab wahlVCi

gen VC_Indexj=.
replace VC_Indexj=1 if (Wahl_Union==1 & VC_Unionj==1)
replace VC_Indexj=0 if (Wahl_Union==1 & VC_Unionj!=1)
replace VC_Indexj=1 if (Wahl_SPD==1 & VC_SPDj==1)
replace VC_Indexj=0 if (Wahl_SPD==1 & VC_SPDj!=1)
replace VC_Indexj=1 if (Wahl_FDP==1 & VC_FDPj==1)
replace VC_Indexj=0 if (Wahl_FDP==1 & VC_FDPj!=1)
replace VC_Indexj=1 if (Wahl_Gru==1 & VC_Gruj==1)
replace VC_Indexj=0 if (Wahl_Gru==1 & VC_Gruj!=1)
replace VC_Indexj=1 if (Wahl_Lin==1 & VC_Linj==1)
replace VC_Indexj=0 if (Wahl_Lin==1 & VC_Linj!=1)

gen VC_Indexk=.
replace VC_Indexk=1 if (Wahl_Union==1 & VC_Unionk==1)
replace VC_Indexk=0 if (Wahl_Union==1 & VC_Unionk!=1)
replace VC_Indexk=1 if (Wahl_SPD==1 & VC_SPDk==1)
replace VC_Indexk=0 if (Wahl_SPD==1 & VC_SPDk!=1)
replace VC_Indexk=1 if (Wahl_FDP==1 & VC_FDPk==1)
replace VC_Indexk=0 if (Wahl_FDP==1 & VC_FDPk!=1)
replace VC_Indexk=1 if (Wahl_Gru==1 & VC_Gruk==1)
replace VC_Indexk=0 if (Wahl_Gru==1 & VC_Gruk!=1)
replace VC_Indexk=1 if (Wahl_Lin==1 & VC_Link==1)
replace VC_Indexk=0 if (Wahl_Lin==1 & VC_Link!=1)

tab1 VC_Index VC_Index?


*/ "strategisches" Whlen

gen sgprf=0
replace sgprf=1 if v258B>v258A & v258B>v258C & v258B>v258D & v258B>v258E & v258B>v258F & v258B>v258G & v258B>v258H
gen sgmehr=0
replace sgmehr=1 if v264==1
gen sgsig=0
replace sgsig=1 if v263B==1|v263B==2
tab sgsig

gen rprf=0
replace rgprf=1 if v258C>v258A & v258C>v258B & v258C>v258D & v258C>v258E & v258C>v258F & v258C>v258G & v258C>v258H
gen rgmehr=0
replace rgmehr=1 if v264==2
gen rgsig=0
replace rgsig=1 if v263C==1|v263C==2
tab sgsig


gen sgtriple=0
replace sgtriple=1 if sgprf==1 & sgmehr==1 & sgsig==1
tab sgtriple

gen sgneu=0
replace sgneu=1 if Union>SPD & Union>FDP & Union>Gru & Union>Lin & FDP>SPD & FDP>Gru & FDP>Lin 
tab sgneu

gen rgtriple=0
replace rgtriple=1 if rgprf==1 & rgmehr==1 & rgsig==1
tab rgtriple

gen rgneu=0
replace rgneu=1 if SPD>Union & SPD>FDP & SPD>Gru & SPD>Lin & Gru>Union & FDP<Gru & Gru>Lin 
tab rgneu


gen VC_Indexx=VC_Index
replace VC_Indexx=1 if sgtriple==1 & sgneu==1 & VC_Index==0
replace VC_Indexx=1 if rgtriple==1 & rgneu==1 & VC_Index==0
tab VC_Indexx




* VC_Index: PI + LR + Iss (gleichgewichtet) (Version 1)
* VC_Indexa: PI + LR + Iss (spez. Gewichtung)
* VC_Indexb: PI + LR + Iss + Kompetenz (Gleichgewichtung) (Version 2)
* VC_Indexc: PI + LR + Iss + Kompetenz (abgestufte Gewichtung)
* VC_Indexd: PI + LR + Iss + Kompetenz (abgestufte Gewichtung) + Kandidaten
* VC_Indexe: PI (doppelte Gewichtung) + LR 
* VC_Indexf: PI (doppelte Gewichtung) + LR + Iss + Kompetenz (abgestufte Gewichtung) + Kandidaten
* VC_Indexg: PI + LR + Iss (spez. Gewichtung) + Kandidaten (Version 4)
* VC_Indexi: PI + LR + Iss (spez. Gewichtung) + retrospektive Performanzbewertung (Version 3)
* VC_Indexj: PI + LR + Iss (spez. Gewichtung) + retrospektive Performanzbewertung + Kompetenz (abgestufte Gewichtung)
* VC_Indexk: LR + Iss (spez. Gewichtung) + retrospektive Performanzbewertung + Kompetenz (abgestufte Gewichtung) + Kandidaten
* VC_Indexx: PI + LR + Iss (gleichgewichtet) + taktisches Wahlverhalten (Version 5)



mean VC_Index [aw=owtrans]
mean VC_Index [aw=owtrans] if Erhebung==1 & quelle==1
mean VC_Index [aw=owtrans] if Erhebung==1 & quelle==2
mean VC_Index [aw=owtrans] if Erhebung==2 & quelle==1
mean VC_Index [aw=owtrans] if Erhebung==2 & quelle==2

mean VC_Indexb [aw=owtrans]
mean VC_Indexb [aw=owtrans] if Erhebung==1 & quelle==1
mean VC_Indexb [aw=owtrans] if Erhebung==1 & quelle==2
mean VC_Indexb [aw=owtrans] if Erhebung==2 & quelle==1
mean VC_Indexb [aw=owtrans] if Erhebung==2 & quelle==2

mean VC_Indexi [aw=owtrans] if Erhebung==2
mean VC_Indexi [aw=owtrans] if Erhebung==2 & quelle==1
mean VC_Indexi [aw=owtrans] if Erhebung==2 & quelle==2

mean VC_Indexg [aw=owtrans]
mean VC_Indexg [aw=owtrans] if Erhebung==1 & quelle==1
mean VC_Indexg [aw=owtrans] if Erhebung==1 & quelle==2
mean VC_Indexg [aw=owtrans] if Erhebung==2 & quelle==1
mean VC_Indexg [aw=owtrans] if Erhebung==2 & quelle==2

mean VC_Indexx [aw=owtrans] if Erhebung==1
mean VC_Indexx [aw=owtrans] if Erhebung==1 & quelle==1
mean VC_Indexx [aw=owtrans] if Erhebung==1 & quelle==2

* einzelne Parteien

mean VC_Index [aw=owtrans], over (wahlwv)
mean VC_Index [aw=owtrans] if quelle==1, over (wahlwv)
mean VC_Index [aw=owtrans] if quelle==2, over (wahlwv)

mean VC_Indexb [aw=owtrans], over (wahlwv)
mean VC_Indexb [aw=owtrans] if quelle==1, over (wahlwv)
mean VC_Indexb [aw=owtrans] if quelle==2, over (wahlwv)

mean VC_Indexi [aw=owtrans] if Erhebung==2, over (wahlwv)
mean VC_Indexi [aw=owtrans] if Erhebung==2 & quelle==1, over (wahlwv)
mean VC_Indexi [aw=owtrans] if Erhebung==2 & quelle==2, over (wahlwv)

mean VC_Indexg [aw=owtrans], over (wahlwv)
mean VC_Indexg [aw=owtrans] if quelle==1, over (wahlwv)
mean VC_Indexg [aw=owtrans] if quelle==2, over (wahlwv)

mean VC_Indexx [aw=owtrans] if Erhebung==1, over (wahlwv)
mean VC_Indexx [aw=owtrans] if Erhebung==1 & quelle==1, over (wahlwv)
mean VC_Indexx [aw=owtrans] if Erhebung==1 & quelle==2, over (wahlwv)




// Politisches Interesse 

gen polInt=vn217
recode polInt (98=.) (99=.)
replace polInt=1-(polInt-1)/4
tab polInt, miss
tab VC_Index polInt, all
tab VC_Index polInt, row
tab polInt VC_Index, row
tab polInt VC_Index [aweight=gewicht], row

bys quelle: logit VC_Index polInt [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Index polInt [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb polInt [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexb polInt [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi polInt [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg polInt [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexg polInt [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexx polInt [pw=owtrans] if Erhebung==1




// Bildung

tab vn9A
gen Bildung=vn9A
recode Bildung (6=.) (98=.) (99=.)
tab Bildung, miss
tab Bildung VC_Index, all
tab Bildung VC_Index, row
tab Bildung VC_Index [aweight=gewicht], row

gen educg=0 if vn9A==1|vn9A==2
replace educg=1 if vn9A==3
replace educg=2 if vn9A==4|vn9A==5
tab educg

gen educ1=0
replace educ1=1 if vn9A==1|vn9A==2
gen educ2=0
replace educ2=1 if vn9A==3
gen educ3=0
replace educ3=1 if vn9A==4|vn9A==5
tab1 educ1 educ3

bys quelle: logit VC_Index educg [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Index educg [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb educg [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexb educg [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi educg [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg educg [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexg educg [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexx educg [pw=owtrans] if Erhebung==1



// Interesse am Ausgang der Wahl
tab v284
gen polWahl=v284
recode polWahl (98=.) (99=.)
replace polWahl=1-(polWahl-1)/4
tab polWahl, miss
tab polWahl VC_Index, all
tab polWahl VC_Index, row
tab polWahl VC_Index [aweight=gewicht], row


bys quelle: logit VC_Index polWahl [pw=owtrans] if Erhebung==1

bys quelle: logit VC_Indexb polWahl [pw=owtrans] if Erhebung==1

bys quelle: logit VC_Indexg polWahl [pw=owtrans] if Erhebung==1

bys quelle: logit VC_Indexx polWahl [pw=owtrans] if Erhebung==1



// Wahlkampfinteresse
tab v283
gen wkint=v283
recode wkint (98=.) (99=.) 
replace wkint=1-(wkint-1)/4 
tab wkint, miss

bys quelle: logit VC_Index wkint [pw=owtrans] if Erhebung==1

bys quelle: logit VC_Indexb wkint [pw=owtrans] if Erhebung==1

bys quelle: logit VC_Indexg wkint [pw=owtrans] if Erhebung==1

bys quelle: logit VC_Indexx wkint [pw=owtrans] if Erhebung==1



*/ internal efficacy

tab vn130B
gen inteff=1-((vn130B-1)/4) if vn130B>0 & vn130B<6
tab inteff

bys quelle: logit VC_Index inteff [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Index inteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb inteff [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexb inteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi inteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg inteff [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexg inteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexx inteff [pw=owtrans] if Erhebung==1


*/ external efficacy

tab vn130C
gen exteff=1-((vn130C-1)/4) if vn130C>0 & vn130C<6

bys quelle: logit VC_Index exteff [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Index exteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb exteff [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexb exteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi exteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg exteff [pw=owtrans] if Erhebung==1
bys quelle: logit VC_Indexg exteff [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexx exteff [pw=owtrans] if Erhebung==1



*/ wahrgenommene Unterschiede im Angebot (pdiff1) und in Politik (pdiff4)

gen pdiff1=n92
recode pdiff1 (98=.) (99=.)
replace pdiff1=1-(pdiff1-1)/2
gen pdiff2=(n90-1)/4 if n90>0 & n90<6
gen pdiff3=(n6-1)/4 if n6>0 & n6<6
gen pdiff4=(pdiff2+pdiff3)/2
tab pdiff1, miss
mean VC_Index, over(pdiff1)

bys quelle: logit VC_Index pdiff1 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb pdiff1 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi pdiff1 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg pdiff1 [pw=owtrans] if Erhebung==2



bys quelle: logit VC_Index pdiff4 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb pdiff4 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi pdiff4 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg pdiff4 [pw=owtrans] if Erhebung==2



*/ Kampagnenrezeption

gen kund=2-vn346A if vn346A<3
gen stand=2-vn346F if vn346F<3

gen wk1=kund+stand


bys quelle: logit VC_Index wk1 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexb wk1 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexi wk1 [pw=owtrans] if Erhebung==2

bys quelle: logit VC_Indexg wk1 [pw=owtrans] if Erhebung==2



